/*
APPLICATION: WorldPort Sales Project Manager 
VERSION: 1.0.0 
FILENAME: function.js
DESCRIPTION: This file contains all java script function calls.
COMPANY NAME: WorldPort Internet Inc.
*/

/* ============================================================

FUNCTION:  	dbconnect()

DESCRIPTION: 	This function performs a connection to the database everytime
		it is called.

============================================================ */

function dbconnect() {
	if(!database.connected()) {
		database.connect("INFORMIX", 
                 	"appalanche_db", 
                 	"informix", 
                 	"informix", 
                 	"worldport");
		if(!database.connected()) {
			redirect("error.html");
		}
	}
}


/* ============================================================

FUNCTION:  	message()

DESCRIPTION: 	This function simply pops up an alert window displaying
		a message to the user when it is called.

============================================================ */

function message() {
	write("<SCRIPT>")
	write("function message() { alert('Sorry, this function is not yet available') }")
	write("</SCRIPT>")
}


/* ============================================================

FUNCTION:  	datetoString( mydate )

DESCRIPTION:   	This function parses out each part of a date
		object and returns the string representation of that date.
		Note however that the time part of a date object (which
		contains both date and time) is left out of the return string).

============================================================ */

function datetoString ( mydate ) {
	var resultstr = ""
	if(mydate) {
		
		resultstr += (mydate.getMonth() + 1) + "/" +
				mydate.getDate() + "/" +
				mydate.getYear();

		return resultstr;
	}
	else {
		return resultstr;
	}
}
/* ============================================================

FUNCTION:  	NetHelp()

DESCRIPTION: 	This function opens a new window displaying
		help on a chosen topic.

============================================================ */

function NetHelp() {
	write("<script>")
	write("function NetHelp(topic) { window.open('help.html#' + topic , 'HelpWin', 'toolbar=no,directories=no,menubar=no,status=no,scrollbar=no,resizable=no,width=400,height=500') }")
	write("</script>")
}

/* ============================================================

FUNCTION:  	NewWindow()

DESCRIPTION: 	This function opens a new window displaying
		Worldport's Home Page.

============================================================ */

function NewWindow() {
	write("<script>")
	write("function NewWindow() { window.open('http://www.worldport.com/', 'home','toolbar=yes,directories=yes,menubar=yes,status=yes,scrollbar=yes,resizable=yes,width=625,height=500') }")
	write("</script>")
}

/* ============================================================

FUNCTION:  	viewproject()

DESCRIPTION: 	This function opens a new window displaying
		help on a chosen topic.

============================================================ */

function viewproject() {
	
	dbconnect();

	if(request.action) {
       		redirect("projact.html?project=" + escape(request.project))
	}
	if(request.project) {
        	client.project = unescape(request.project)
	}

	if(request.up) {
        	//Updates project information and the project team information.
        	database.execute("UPDATE Project SET projectname='" + request.projectname + "',techdesc='" + request.techdesc + "' WHERE projectname ='" + client.project + "'")
       		database.execute("UPDATE ProjectTeam SET projectname='" + request.projectname + "' WHERE projectname ='" + client.project + "'")
        	database.execute("UPDATE ActionItems SET projectname='" + request.projectname + "' WHERE projectname ='" + client.project + "'")
        	client.project = request.projectname

	}
	if(request.del) {
        	//Updates project information and the project team information.
       		database.execute("DELETE FROM Project WHERE projectname ='" + client.project + "'")
        	database.execute("DELETE FROM ProjectTeam WHERE projectname ='" + client.project + "'")
		redirect("project.html");
	}
	if(request.delmember) {
        	//removes current team member from project
       		database.execute("DELETE FROM ProjectTeam WHERE TeamMember ='" + request.member + "'")
	}
	
	if(request.addmember) {
	        //retrieves contact info for an Insert
	        contact = database.cursor("SELECT * FROM Contacts WHERE Contactid =" + request.nonmember)
	        //inserts new team member into project team table
	        if(contact.next()) {
	                database.execute("INSERT INTO ProjectTeam(Title,TeamMember,ProjectName) VALUES ('Team Member','" + contact.firstname + " " + contact.lastname + "','" + client.project + "')")
	        }
	}
	if(request.change) {
	        //Updates project information and the project team information.
	        database.execute("UPDATE ProjectTeam SET title='" + request.role + "' WHERE teammember ='" + request.member + "'")
	}
	projects = database.cursor("SELECT * FROM Project ORDER BY ProjectName")
	projectinfo = database.cursor("SELECT * FROM Project WHERE projectname = '" + client.project + "'")
	projectmember = database.cursor("SELECT * FROM ProjectTeam WHERE ProjectName = '" + client.project + "'")

	if(projectinfo.next()) {
	        projectnonmem = database.cursor("SELECT * FROM Contacts WHERE CompanyName = '" + projectinfo.CompanyName + "'")
	}
}

